# Test Page

[TOC]

## Oolong Tea
- Jade Nantou: rolled. gentle flavor, a bit sweet and floral. Great both hot and cold-brewed.
- Fern Stream Amber Oolong: okay but I didn’t like it as much as the Jade Nantou. A bit earthier, less gentle.
- Bei Dou: twisted. 3g in 200ml water, 2 min infusion: pretty strong, but good. Mineral-y? Smoky, maybe, in the sense of whiskey rather than lapsang souchong. 6g as iced tea is nicely strong. One of my favorites. 
- Golden Buds Milk Oolong Jin Xuan: 200F. Reminds me of the Jade Nantou, but more floral? Given that it’s more expensive than the Jade Nantou, seems less worth keeping around except for occasional variety.
- Shan Lin Xi: rolled. 195F. another floral sort of tea. Beautiful full leaves.
- Baked GABA: rolled. 200F. strong aroma of raisins. Ended up finding this a bit too cloying (?)
- Wudong Lao Cong: twisted. 175F. Another earthy / mineral-y tea, maybe less so than the Bei Dou? It’s pretty pricey since it comes from 300-year-old trees.

## Green Tea
- Sencha Asatsuyu: well-rounded. Some notes of corn? Or popcorn? Strong without being fishy.
- Sencha Yame: pretty bold. I like it iced, and hot when I’m feeling like something grassier.
- Sencha Fukumushi: also pretty strongly-flavored / vegetal.
- Sencha Fuji / Asanoka: also in the “well-rounded” bin for me.
- Gyokuro: good, but 160F brew = less hot for winter. Try again in summer?
- Bi Luo Chun: 3g, 3 min infusion: pretty gentle taste (even with a long steep) but hints of cayenne. Ultimately, not too impressive to me.
- Dragonwell Long Jing: pretty good, closer to a Japanese green tea taste than the Bi Luo Chun. When iced, reminds me a lot of store-bought iced green tea -- very default sort of flavor.
- Yamacha Hamamatsu (from Dobra in Pittsburgh): very good, Japanese green tea that’s halfway to Chinese in terms of larger leaves, well-rounded green tea taste.
- Golden Green: I liked this more than expected? Kinda floral a little bit?

## Black Tea
- Irish Breakfast Tea, Assam Chandighat Estate: solidly astringent & strong.
- Yunnan Gold Tips: a little more interesting than a breakfast tea but not like, a lot? idk

## Rosemary Gimlet
via https://www.davidlebovitz.com/rosemary-gimlet-gin-cocktail-recipe/

2oz gin, 3/4 oz lime juice, 3/4 oz rosemary simple syrup. Shake with ice.
Good with both gin (Tanqueray) and white rum (Bully Boy)

## Rosemary Simple Syrup

Heat until mixture is hot and sugar dissolves. (I let it gently simmer for about 10 minutes.)
Let cool to room temperature, then strain and refrigerate.

Thyme simple syrup: as above, but about 2g thyme (10-12 sprigs of a few inches)? Was a bit weak, let’s try 4g next time.

## Spearmint Simple Syrup
160g water, 160g sugar, 10g spearmint

## Milk-Washed Rum (or Seedlip)
Start with 6 oz rum, pour in 2 oz whole milk. Add lime-strength orange juice until milk starts to curdle. Stir it gently. Let set for some hours, then strain through coffee filters.

## Dr. J (Orange Julius cocktail)
2 oz milk-washed rum, 3/4 oz lime-strength orange juice, 3/4 oz simple syrup (or 3/4 tbsp sugar + 3/4 tbsp water). Shake with ice.

## Pesto
2  cups fresh basil leaves (no stems, about 50g)
2  tablespoons pine nuts or toasted almonds
2  large cloves garlic (I’ve used double this for more garlic flavor... = 2 tsp minced)
1/2  cup extra-virgin olive oil

Combine basil leaves, nuts, and garlic in a food processor and process until very finely minced. With the machine running slowly dribble in the oil and process until the mixture is smooth. Store in refrigerator or freezer.

## Coffee Liqueur
Following this recipe:
https://www.seriouseats.com/recipes/2012/01/diy-coffee-liqueur-homemade-kahlua.html
With Peet’s Decaf Dark Roast House Blend (pre-ground from Bfresh).

## Basilgeuse
1.5oz gin, 1oz dry vermouth, 1/2-3/4oz simple syrup, 2 dashes ginger bitters, about 8 basil leaves muddled and another top for garnish

# Hugo Installation

I got Hugo v0.83.1 from https://github.com/gohugoio/hugo/releases

```shell
wget https://github.com/gohugoio/hugo/releases/download/v0.83.1/hugo_0.83.1_Linux-64bit.deb
sudo dpkg -i hugo_0.83.1_Linux-64bit.deb
```

`hugo version` tells me:
`hugo v0.83.1-5AFE0A57 linux/amd64 BuildDate=2021-05-02T14:38:05Z VendorInfo=gohugoio`

Following the install instructions from
https://gohugo.io/getting-started/quick-start/

and using the PaperMod theme:
https://adityatelange.github.io/hugo-PaperMod/posts/papermod/papermod-installation/

```shell
# Make new site with YAML config files
hugo new site hugotest -f yml
cd hugotest
git clone https://github.com/adityatelange/hugo-PaperMod themes/PaperMod --depth=1
vim config.yml
# add this on a new line:
# theme: "PaperMod"
```

To update the theme later:
```shell
cd themes/PaperMod
git pull
```

## Make a new post

```shell
hugo new posts/hello-world.md
/home/mcmillen/hugotest/content/posts/hello-world.md created
```

## Running the server so that I can access it from my phone on Tailscale:

`hugo server --baseURL http://100.81.145.47 --bind 100.81.145.47 -D`

## now some code

```shell
# Make new site with YAML config files
hugo new site hugotest -f yml
cd hugotest
git clone https://github.com/adityatelange/hugo-PaperMod themes/PaperMod --depth=1
vim config.yml
# add this on a new line:
# theme: "PaperMod"
```

## python

```python
import markdown
markdown.markdown('hello world')
print('what is this?')
x = 42
open('foo.html', 'w').write('oh no')
'012345678901234567890123456789012345678901234567890123456789012345678901234567'
```

## python markdown references

https://python-markdown.github.io/extensions/

https://python-markdown.github.io/extensions/code_hilite/

`pygmentize -S monokai -f html -a .codehilite > pygments.css`
