# Welcome!

I'm the lead developer at [SemiColin Games](https://www.semicolin.games) in Somerville, Massachusetts.
Previously at Google, reCAPTCHA, & Carnegie Mellon.

<!-- SVG icons from https://microicon-clone.vercel.app/git/24/FFFFFF -->

[![@mcmillen](/img/twitter.svg)](https://twitter.com/mcmillen) [@mcmillen](https://twitter.com/mcmillen)

[![email](/img/email.svg)](mailto:email@example.com) [colin at mcmillen dot dev](mailto:email@example.com)

[![Git](/img/git.svg)](https://git.mcmillen.dev/mcmillen?tab=activity) [git.mcmillen.dev](https://git.mcmillen.dev/mcmillen?tab=activity)

For more details, check my [resumé](resume.html) & [publications](publications.html).

<script>
  const mailtoArray = [
    'm', 'a', 'i', 'l', 't', 'o', ':',
    'c', 'o', 'l', 'i', 'n', '@',
    'm', 'c', 'm', 'i',  'l', 'l', 'e', 'n',
    '.', 'd', 'e', 'v'];
  const mailtoLink = mailtoArray.join('');
  const anchors = document.getElementsByTagName('a');
  for (let i = 0; i < anchors.length; i++) {
    const anchor = anchors[i];
    if (anchor.href == 'mailto:email@example.com') {
       anchor.href = mailtoLink;
       if (anchor.innerText == 'colin at mcmillen dot dev') {
        anchor.innerText = mailtoLink.substring(7);
      }
    }
  }
</script>


## Latest Updates

You can sign up for occasional updates via my [email newsletter](https://tinyletter.com/mcmillen).

  * [A new year & a sneaky new project](blog/20200209-sneak.html), 2020-02-09.
    A year after my last day at Google, some updates on making a videogame!

  * [My first paper in 10 years?!](blog/20190403-update.html), 2019-04-03.
    On SIGBOVIK 2019 & what I'd been up in the couple months since leaving Google.

  * [93% of Paint Splatters are Valid Perl Programs](sigbovik/), 2019-04-01.
    In this paper, we aim to answer a long-standing open problem in the programming languages community: is it possible to smear paint on the wall without creating valid Perl?

  * [Programming Language Checklist](language_checklist.html), 2011-10-10.
    You appear to be advocating a new programming language. Your language will not work.  Here is why it will not work.


## Videogames

Currently playing: **Persona 5**, **Monster Hunter Rise**, & **Slipways**.
Sometimes I stream on Twitch!

[![Twitch](/img/twitch.svg)](https://twitch.tv/FamiColin) [FamiColin](https://twitch.tv/FamiColin)

[![Steam](/img/steam.svg)](https://steamcommunity.com/id/FamiColin/) [FamiColin](https://steamcommunity.com/id/FamiColin/)

[![PlayStation](/img/playstation.svg)](https://psnprofiles.com/robomancer) [robomancer](https://psnprofiles.com/robomancer)

![Nintendo Switch](/img/nintendoswitch.svg) SW-1906-3662-4308


## Trivia

  * My Erdős number is 3 (Paul Erdős → Noga Alon → Manuel Blum → me).

  * I proposed to my spouse in [obfuscated Perl](https://www.perlmonks.org/?node_id=384100), which got illustrated in [PHD Comics](http://phdcomics.com/comics/archive.php?comicid=824).


## Recent Photo

![Park At Dusk](https://pbs.twimg.com/media/E3K1nuHXwAEYWIh?format=jpg&name=large)

Park at dusk, 2021-06-05 from my [#dailyphoto](https://twitter.com/mcmillen/status/1401382131117531137) thread on Twitter.


## News Articles

A selection of news articles & books in which I've been featured or quoted:

  * [Google veterans: The company has become "unrecognizable"](https://www.cnbc.com/2019/12/31/google-veterans-the-company-has-become-unrecognizable.html)
    Jennifer Elias, *CNBC*, 2019-12-31.

    > Nine-year veteran Colin McMillen told CNBC that he left Google early this year without another job because he felt couldn’t be a part of the organization anymore, citing Dragonfly, transparency and Google leadership's "poor handling" of crises over the last year.

  * [Inside Google's Civil War](https://fortune.com/longform/inside-googles-civil-war/)
    Beth Kowitt, *Fortune*, 2019-05-17.

    > Inside the Googleplex, the fuel that fed the walkout had been collecting for months. Tensions had been on the rise as employees clashed with management over allegations of controversial business decisions made in secret, treatment of marginalized groups of employees, and harassment and trolling of workers on the company's internal platforms. "It's the U.S. culture war playing out at micro-scale," says Colin McMillen, an engineer who left the company in February.

  * [Even Random Paint Splatters Can Be Valid Computer Code (If You're Using Perl)](https://gizmodo.com/even-random-paint-splatters-can-be-valid-computer-code-1833910587)
    Andrew Liszewski, *Gizmodo*, 2019-04-09.

    > The notoriously messy programming language can sometimes resemble something like a Jackson Pollock painting, but a software engineer and former Googler named Colin McMillen decided to take Archibald’s idea and run with it. McMillen discovered that when random paint splatters were processed by OCR software, it resulted in valid Perl code 93 percent of the time.

  * [Google Employees Uncover Ongoing Work on Censored China Search](https://theintercept.com/2019/03/04/google-ongoing-project-dragonfly/)
    Ryan Gallagher, *The Intercept*, 2019-03-04.

    > Colin McMillen, who worked as a software engineer at Google for nine years, quit the company in early February. He told The Intercept that he had been concerned about Dragonfly and other "ethically dubious" decisions, such as Google’s multimillion-dollar severance packages for executives accused of sexual harassment.

  * [Google Urged the U.S. to Limit Protection for Activist Workers](https://www.bloomberg.com/news/articles/2019-01-24/google-urged-the-u-s-to-limit-protection-for-activist-workers)
    Josh Eidelson, Hassan Kanu, & Mark Bergen, *Bloomberg*, 2019-01-24.

    > If the Labor Board did what Google wanted, "it would have a huge chilling effect," said Google employee activist Colin McMillen. Google's employee email system played a pivotal role in the organizing for [the Google Walkout], he said. Given that employees are spread around the globe and don't have most co-workers' personal emails, company email is key to facilitating workers' ability to mobilize.

  * [The Dirty War Over Diversity Inside Google](https://www.wired.com/story/the-dirty-war-over-diversity-inside-google/)
    Nitasha Tiku, *Wired*, 2018-01-26.

    > Engineer Colin McMillen says the tactics have unnerved diversity advocates and chilled internal discussion. "Now it’s like basically anything you say about yourself may end up getting leaked to score political points in a lawsuit. I have to be very careful about choosing my words because of the low-grade threat of doxing. But let's face it, I’m not visibly queer or trans or non-white and a lot of these people are keying off their own white supremacy."

    > "Things are open to debate internally at Google, including decisions of the CEO, and people don’t get in trouble for that. That's generally a good thing for the culture," McMillen said. "HR and leadership don’t police these sort of discussions, and generally that's a good thing. But they also have a blind spot that means they don’t know the person posting this comment has posted it 100 times."

<!--
  * [Google+ Addresses Internet’s Dangerous Shortage of Memes](https://techland.time.com/2012/01/17/google-addresses-internets-dangerous-shortage-of-memes/)
    Keith Wagstaff, *Time*, 2012-01-17.

    > Voila, your message is now in giant white text across the photo, allowing people to know that you, too, have first-world problems or used to be an adventurer before you took an arrow in the knee. Now if you'll excuse me, I have to rage quit the Internet.
-->

  * [How Google Works](https://www.google.com/books/edition/How_Google_Works/fEJ0AwAAQBAJ?hl=en&gbpv=1&dq=memegen&pg=PP83&printsec=frontcover)
    Eric Schmidt & Jonathan Rosenberg, 2014-09-23.

    > In October 2010, a couple of Google engineers named Colin McMillen and Jonathan Feinberg launched an internal site called Memegen, which lets Googlers create memes --- pithy captions matched to images --- and vote on each other's creations. Memegen created a new way for Googlers to have fun while commenting acerbically on the state of the company. It has succeeded wildly on both fronts. In the fine tradition of Tom Lehrer and Jon Stewart, Memegen can be very funny while cutting to the heart of controversies within the company.

  * [Google adopts CMU reCAPTCHA creation](https://thetartan.org/2009/10/12/news/google)
    Jennifer Tharp, *The Tartan*, 2009-10-12.

    > "Our goal with accuracy is to produce a digital file that is better than a professional human transcriber. To achieve this, we need to combine the output of OCR software with the human answers from reCAPTCHA and decide, for each word, what the correct spelling of the word should be," said Colin McMillen, a full-time programmer for reCAPTCHA.

    See also: [Teaching computers to read: Google acquires reCAPTCHA](https://googleblog.blogspot.com/2009/09/teaching-computers-to-read-google.html)

  * [DMCA Protection at U.S. Border](https://www.wired.com/2002/02/dmca-protection-at-u-s-border/)
    Brad King, *Wired*, 2002-02-14.

    > Colin McMillen, a computer science major at the University of Minnesota, ordered a coder's cable from Lik-Sang that would synch his now-defunct Sega Dreamcast with his PC. The wire, which is not manufactured by Sega, would allow him to write programs for the gaming console.
    >
    > After two weeks, he hadn't received his shipment so he e-mailed the United Parcel Service. A representative informed him the package had been stopped at the request of the U.S. Customs Service because its contents violated the 1998 DMCA.

